<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>



<center>
<h3 class="maketitle">Geometric theorems Add/Update Problem</h3>
</center>



<?php
require('loginsub.php');
?>

<?php

// cria uma pesquisa
$sql = "SELECT teoId,teoName
          FROM theorems
      ORDER BY teoId";
$resultado = mysql_query($sql,$ligacao);


// O números de campos obtidos
$ncampos =mysql_num_fields($resultado);
$nlinhas =mysql_num_rows($resultado);

echo "<center>";
echo "<h4 class='maketitle'>$nlinhas Geometry Theorems</h4>";
echo "</center>";



print "<p>&nbsp;</p>";
print "<center>";
print "<table border=1>\n";
// obtêm os nomes dos campos
print "<tr>\n";
print " <td colspan=5 STYLE='background:#efefef' align=right><a href=insertGeoThm.php>Insert a new Geometric Theorem</a></td>\n";
print "</tr>\n\n";
print "<tr>\n";
//for ($i=1;$i<=$ncampos;$i++) {
//  $campo = mysql_fetch_field($resultado);
//  print " <th>$campo->name</th>\n";
// }
print "<th> Id </th><th> Name</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th>";
print "</tr>\n\n";
// obtêm as valores dos diferentes campos
// *) A função "mysql_fetch_assoc" coloca numa tabela associativa o conteúdo 
// de cada uma das linhas da tabela (uma por cada iteração)
// *) O ciclo interior usa a função "each" para obter cada um dos 
// elementos (colunas) da linha, um por cada iteração.
// *) Se o elemento que se está a obter se refere a um caixote, coloca-se
// a referência ao código de actualização respectivo. Caso contrário
// mostra-se simplesmente o resultado.
while ($linha = mysql_fetch_assoc($resultado)){
  print "<tr>\n";
  $pThmId=trim($linha['teoId']);
  $pThmName=trim($linha['teoName']);
  print " <td align=center>$pThmId</td>\n"; 
  print " <td>$pThmName</td>\n";
  print " <td>&nbsp;</td>\n";
  print " <td><a href=seedetailsGeoThm.php?argumento=$pThmId>See details</a></td>\n";
  print " <td><a href=updateGeoThm.php?argumento=$pThmId>update</a></td>\n";
  //  for ($i=1;$i<=$ncampos;$i++) {
  //    $colunas=each($linha);
  //    $valor=$colunas['value'];
  //    print " <td>$valor</td>\n";
  //  }
  print"</tr>\n\n";
 }
print "</table>\n";
print "</center>";
print "<p>&nbsp;</p>";
?>




<?php
  require('footer.inc');
?>
